MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024870Open CASCADE[OCCT] OCCT:Codingpublic2014-04-24 10:342016-04-20 15:48
Reporterkgv 
Assigned Toabv 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0024870: Provide OCCT RTTI test cases
DescriptionIt is suggested to create test cases for OCCT RTTI functionality, including comparison with compiler-provided implementations.
TagsNo tags attached.
Test case numberperf fclasses(019) handle
Attached Files

- Relationships
related to 0024023closedabv Revamp the OCCT Handle 

-  Notes
(0029052)
kgv (developer)
2014-04-24 11:05

Patch is ready for review in branch CR24870.
(0029714)
abv (manager)
2014-06-05 18:32

Reviewed; please create test cases for OCCT RTTI using the new commands (see QANCollection_Handle.cxx). Test on performance of DownCast() should check that OCCT code works faster than standard C++ one (except cast to base type, as described at http://dev.opencascade.org/index.php?q=node/962 [^]).
(0029717)
abv (manager)
2014-06-05 19:02

Please add also tests for functionality and performance of NCollection classes vs. STL ones; see commands defined in QANCollection_Stl.cxx (already in master, see 0024831).
(0029718)
abv (manager)
2014-06-05 19:05

The version rebased on last IR is in branch CR24870_1
(0029738)
mkv (tester)
2014-06-09 10:43

Dear BugMaster,

Branch CR24870_1 (and products from GIT master) was compiled on Linux and Windows platform.
SHA-1: 3a1f12fbde5a3b7200147bc94cbcf1f7d0728964

There are compilation errors:

http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24870_1/job/mnt-CR24870_1-master_build_occt_windows/1/parsed_console/ [^]
65>..\..\..\src\QANCollection\QANCollection_Handle.cxx(238) : error C2039: 'shared_ptr' : is not a member of 'std'
65>..\..\..\src\QANCollection\QANCollection_Handle.cxx(238) : error C2065: 'shared_ptr' : undeclared identifier
65>..\..\..\src\QANCollection\QANCollection_Handle.cxx(238) : error C2275: 'Standard_Transient' : illegal use of this type as an expression
65> ..\..\..\inc\Standard_Transient_proto.hxx(30) : see declaration of 'Standard_Transient'
65>..\..\..\src\QANCollection\QANCollection_Handle.cxx(238) : error C3861: 'aSharePtr': identifier not found
65>..\..\..\src\QANCollection\QANCollection_Handle.cxx(250) : error C2039: 'shared_ptr' : is not a member of 'std'
65>..\..\..\src\QANCollection\QANCollection_Handle.cxx(250) : error C2065: 'shared_ptr' : undeclared identifier
65>..\..\..\src\QANCollection\QANCollection_Handle.cxx(250) : error C2275: 'Standard_Transient' : illegal use of this type as an expression
65> ..\..\..\inc\Standard_Transient_proto.hxx(30) : see declaration of 'Standard_Transient'
65>..\..\..\src\QANCollection\QANCollection_Handle.cxx(250) : error C2143: syntax error : missing ';' before '>'
65>..\..\..\src\QANCollection\QANCollection_Handle.cxx(250) : error C2143: syntax error : missing ';' before '>'
65>..\..\..\src\QANCollection\QANCollection_Handle.cxx(255) : error C2065: 'aSharePointers' : undeclared identifier
65>..\..\..\src\QANCollection\QANCollection_Handle.cxx(255) : error C2065: 'aSharePtr' : undeclared identifier
65>..\..\..\src\QANCollection\QANCollection_Handle.cxx(301) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
65> ..\..\..\src\QANCollection\QANCollection_Handle.cxx(313) : see reference to class template instantiation '`anonymous-namespace'::QACast<TTo>' being compiled
65>..\..\..\src\QANCollection\QANCollection_Handle.cxx(301) : error C2143: syntax error : missing ',' before '<'

http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24870_1/job/mnt-CR24870_1-master_build_occt_linux/1/parsed_console/ [^]
../../../../src/QANCollection/QANCollection_Handle.cxx: In function ‘Standard_Integer QAHandleInc(Draw_Interpretor&, Standard_Integer, const char**)’:
../../../../src/QANCollection/QANCollection_Handle.cxx:238: error: ‘shared_ptr’ is not a member of ‘std’
../../../../src/QANCollection/QANCollection_Handle.cxx:238: error: expected primary-expression before ‘>’ token
../../../../src/QANCollection/QANCollection_Handle.cxx:238: error: ‘aSharePtr’ was not declared in this scope
../../../../src/QANCollection/QANCollection_Handle.cxx:250: error: ‘shared_ptr’ is not a member of ‘std’
../../../../src/QANCollection/QANCollection_Handle.cxx:250: error: ‘shared_ptr’ is not a member of ‘std’
../../../../src/QANCollection/QANCollection_Handle.cxx:250: error: template argument 1 is invalid
../../../../src/QANCollection/QANCollection_Handle.cxx:250: error: template argument 2 is invalid
../../../../src/QANCollection/QANCollection_Handle.cxx:250: error: expected unqualified-id before ‘>’ token
../../../../src/QANCollection/QANCollection_Handle.cxx:255: error: ‘aSharePointers’ was not declared in this scope
../../../../src/QANCollection/QANCollection_Handle.cxx: At global scope:
../../../../src/QANCollection/QANCollection_Handle.cxx:301: error: expected unqualified-id before ‘<’ token
../../../../src/QANCollection/QANCollection_Handle.cxx:301: error: expected ‘)’ before ‘<’ token
../../../../src/QANCollection/QANCollection_Handle.cxx:301: error: expected initializer before ‘<’ token
../../../../src/QANCollection/QANCollection_Handle.cxx: In function ‘void<unnamed>::qaCastAs(const qaclass00_50&, Standard_Integer)’:
../../../../src/QANCollection/QANCollection_Handle.cxx:365: error: ‘shared_ptr’ is not a member of ‘std’
../../../../src/QANCollection/QANCollection_Handle.cxx:365: error: expected ‘(’ before ‘>’ token
../../../../src/QANCollection/QANCollection_Handle.cxx:366: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass00_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:366: error: ‘aPtr’ was not declared in this scope
../../../../src/QANCollection/QANCollection_Handle.cxx:366: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass01_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:366: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass02_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:366: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass03_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:366: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass04_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:366: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass05_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:366: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass06_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:366: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass07_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:366: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass08_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:366: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass09_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:367: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass10_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:367: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass11_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:367: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass12_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:367: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass13_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:367: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass14_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:367: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass15_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:367: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass16_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:367: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass17_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:367: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass18_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:367: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass19_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:368: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass20_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:368: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass21_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:368: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass22_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:368: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass23_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:368: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass24_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:368: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass25_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:368: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass26_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:368: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass27_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:368: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass28_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:368: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass29_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:369: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass30_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:369: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass31_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:369: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass32_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:369: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass33_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:369: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass34_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:369: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass35_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:369: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass36_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:369: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass37_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:369: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass38_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:369: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass39_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:370: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass40_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:370: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass41_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:370: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass42_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:370: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass43_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:370: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass44_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:370: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass45_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:370: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass46_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:370: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass47_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:370: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass48_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:370: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass49_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx:371: error: ‘doShareCast’ is not a member of ‘<unnamed>::QACast<Handle_qaclass50_50>’
../../../../src/QANCollection/QANCollection_Handle.cxx: In function ‘void<unnamed>::qaCastAs(const qaclass00_50&, Standard_Integer) [with TAs = Handle_qaclass00_50]’:
../../../../src/QANCollection/QANCollection_Handle.cxx:448: instantiated from here
../../../../src/QANCollection/QANCollection_Handle.cxx:365: error: ‘aPtr’ was not declared in this scope
../../../../src/QANCollection/QANCollection_Handle.cxx: In function ‘void<unnamed>::qaCastAs(const qaclass00_50&, Standard_Integer) [with TAs = Handle_qaclass10_50]’:
../../../../src/QANCollection/QANCollection_Handle.cxx:449: instantiated from here
../../../../src/QANCollection/QANCollection_Handle.cxx:365: error: ‘aPtr’ was not declared in this scope
../../../../src/QANCollection/QANCollection_Handle.cxx: In function ‘void<unnamed>::qaCastAs(const qaclass00_50&, Standard_Integer) [with TAs = Handle_qaclass20_50]’:
../../../../src/QANCollection/QANCollection_Handle.cxx:450: instantiated from here
../../../../src/QANCollection/QANCollection_Handle.cxx:365: error: ‘aPtr’ was not declared in this scope
../../../../src/QANCollection/QANCollection_Handle.cxx: In function ‘void<unnamed>::qaCastAs(const qaclass00_50&, Standard_Integer) [with TAs = Handle_qaclass30_50]’:
../../../../src/QANCollection/QANCollection_Handle.cxx:451: instantiated from here
../../../../src/QANCollection/QANCollection_Handle.cxx:365: error: ‘aPtr’ was not declared in this scope
../../../../src/QANCollection/QANCollection_Handle.cxx: In function ‘void<unnamed>::qaCastAs(const qaclass00_50&, Standard_Integer) [with TAs = Handle_qaclass40_50]’:
../../../../src/QANCollection/QANCollection_Handle.cxx:452: instantiated from here
../../../../src/QANCollection/QANCollection_Handle.cxx:365: error: ‘aPtr’ was not declared in this scope
../../../../src/QANCollection/QANCollection_Handle.cxx: In function ‘void<unnamed>::qaCastAs(const qaclass00_50&, Standard_Integer) [with TAs = Handle_qaclass50_50]’:
../../../../src/QANCollection/QANCollection_Handle.cxx:453: instantiated from here
../../../../src/QANCollection/QANCollection_Handle.cxx:365: error: ‘aPtr’ was not declared in this scope
(0030736)
git (administrator)
2014-08-14 09:45

Branch CR24870_2 has been created by abv.

SHA-1: 3b2c3162e16ef52f31b17bac4d06fd3f86b2acdc


This branch includes the following new commits:

       new 3b2c316 0024870: Provide OCCT RTTI test cases


Detailed log of new commits:

commit 3b2c3162e16ef52f31b17bac4d06fd3f86b2acdc
Author: kgv
Date: Thu Apr 24 10:57:26 2014 +0400

    0024870: Provide OCCT RTTI test cases
    
    Test commands for checking performance and functionality of OCCT handles and RTTI added.
    New test case added for that: test perf fclasses handle
(0030739)
abv (manager)
2014-08-14 10:34

Fix pushed to CR24870_2; please check compiling on all platforms and execution of test case perf fclasses handle (including debug mode). Running complete testing of OCCT and Products is not needed
(0030774)
git (administrator)
2014-08-15 12:33

Branch CR24870_2 has been updated forcibly by mkv.

SHA-1: 5ce1b1c3af3d15f4c726784f302207663c16cbfd
(0030842)
mkv (tester)
2014-08-18 16:16

Dear BugMaster,

Branch CR24870_2 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: 5ce1b1c3af3d15f4c726784f302207663c16cbfd

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24870-2-master-occt/Debian60-64/perf/fclasses/handle.html [^] : FAILED
http://occt-tests/CR24870-2-master-occt-deb/Debian60-64/perf/fclasses/handle.html [^] : FAILED
http://occt-tests/CR24870-2-master-occt/Windows-32-VC10/perf/fclasses/handle.html [^] : OK
http://occt-tests/CR24870-2-master-occt-deb/Windows-32-VC10/perf/fclasses/handle.html [^] : OK
perf fclasses(019) handle
(0043303)
abv (manager)
2015-07-22 16:25

Patch is reviewed, tested, and integrated to master
(0043305)
git (administrator)
2015-07-22 16:26

Branch CR24870 has been deleted by abv.

SHA-1: c6f955196084c202a2eebdb7fd7cf6f51015b8e4
(0043314)
git (administrator)
2015-07-22 16:50

Branch CR24870_2 has been deleted by abv.

SHA-1: 5ce1b1c3af3d15f4c726784f302207663c16cbfd
(0043317)
git (administrator)
2015-07-22 16:52

Branch CR24870_1 has been deleted by abv.

SHA-1: 3a1f12fbde5a3b7200147bc94cbcf1f7d0728964

- Related Changesets
occt: master e8862cf4
Timestamp: 2015-06-30 07:25:48
Author: abv
Committer: abv
Details ] Diff ]
0024870: Provide OCCT RTTI test cases

Test commands for checking performance and functionality of OCCT handles and RTTI added.
New test case added for that: test perf fclasses handle.

Implementation of opencascade::handle improved to enable compile-time error if two handles of incompatible types are compared.
Comparison of handle to NULL is not possible any more; method IsNull() should be used instead.

Method LDOM_MemManager::Doc() is removed to avoid cyclic dependency of headers; constructor of LDOM_Document(LDOM_MemManager&) is used directly instead.

Inclusion of headers corrected for compilation after previous patch.
mod - src/BRepBuilderAPI/BRepBuilderAPI_Sewing.hxx Diff ] File ]
mod - src/BRepLib/BRepLib_CheckCurveOnSurface.lxx Diff ] File ]
mod - src/BRepTools/BRepTools.hxx Diff ] File ]
mod - src/BRepTools/BRepTools_Modifier.hxx Diff ] File ]
mod - src/Interface/Interface_Graph.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_Point.hxx Diff ] File ]
mod - src/LDOM/LDOM_BasicAttribute.cxx Diff ] File ]
mod - src/LDOM/LDOM_BasicElement.cxx Diff ] File ]
mod - src/LDOM/LDOM_BasicText.cxx Diff ] File ]
mod - src/LDOM/LDOM_Element.cxx Diff ] File ]
mod - src/LDOM/LDOM_MemManager.hxx Diff ] File ]
mod - src/LDOM/LDOM_Node.hxx Diff ] File ]
mod - src/QANCollection/FILES Diff ] File ]
mod - src/QANCollection/QANCollection.cxx Diff ] File ]
mod - src/QANCollection/QANCollection.hxx Diff ] File ]
add - src/QANCollection/QANCollection_Handle.cxx Diff ] File ]
mod - src/RWStl/RWStl.hxx Diff ] File ]
mod - src/ShapeFix/ShapeFix.hxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Root.hxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Shape.hxx Diff ] File ]
mod - src/Standard/Standard_Handle.hxx Diff ] File ]
mod - src/StepShape/StepShape_Edge.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ExtStringArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ExtStringListDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_NamedDataDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ReferenceArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ReferenceListDriver.cxx Diff ] File ]
mod - src/XmlMFunction/XmlMFunction_ScopeDriver.cxx Diff ] File ]
add - tests/perf/fclasses/handle Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-24 10:34 kgv New Issue
2014-04-24 10:34 kgv Assigned To => kgv
2014-04-24 10:58 kgv Relationship added related to 0024023
2014-04-24 11:05 kgv Note Added: 0029052
2014-04-24 11:05 kgv Assigned To kgv => abv
2014-04-24 11:05 kgv Status new => resolved
2014-06-05 18:32 abv Note Added: 0029714
2014-06-05 18:32 abv Assigned To abv => bugmaster
2014-06-05 18:32 abv Status resolved => reviewed
2014-06-05 19:02 abv Note Added: 0029717
2014-06-05 19:05 abv Note Added: 0029718
2014-06-06 15:24 mkv Assigned To bugmaster => mkv
2014-06-09 10:43 mkv Note Added: 0029738
2014-06-09 10:44 mkv Assigned To mkv => kgv
2014-06-09 10:44 mkv Status reviewed => assigned
2014-06-09 10:47 kgv Assigned To kgv => abv
2014-08-14 09:45 git Note Added: 0030736
2014-08-14 10:32 abv Status assigned => resolved
2014-08-14 10:34 abv Note Added: 0030739
2014-08-14 10:34 abv Status resolved => reviewed
2014-08-15 11:58 mkv Assigned To abv => mkv
2014-08-15 12:33 git Note Added: 0030774
2014-08-18 16:16 mkv Note Added: 0030842
2014-08-18 16:17 mkv Test case number => perf fclasses(019) handle
2014-08-18 16:17 mkv Assigned To mkv => abv
2014-08-18 16:17 mkv Status reviewed => feedback
2014-09-11 10:49 abv Target Version 6.8.0 => 7.0.0
2015-07-22 16:25 abv Note Added: 0043303
2015-07-22 16:25 abv Assigned To abv => bugmaster
2015-07-22 16:25 abv Status feedback => tested
2015-07-22 16:26 git Note Added: 0043305
2015-07-22 16:50 git Note Added: 0043314
2015-07-22 16:52 git Note Added: 0043317
2015-07-23 11:55 abv Changeset attached => occt master e8862cf4
2015-07-23 11:55 abv Assigned To bugmaster => abv
2015-07-23 11:55 abv Status tested => verified
2015-07-23 11:55 abv Resolution open => fixed
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker